
for(label j=0 ; j <= etamax ; j++) //get conditional sensible enthalpy 
{
        for(label k = 0 ; k<=group ; k++)
        {
                scalar Tin = TCMC[ j+k*(etamax+1) ];
                scalarField QiCMCin(Ysize, 0);

                for(label i=0 ; i<Ysize ; i++)
                {
                        QiCMCin[i] = QiCMC[(k*(etamax+1)+j)*Ysize + i];
                }

                rhoCMC[j+k*(etamax+1)] = chemistry->calculateRHOCMC(QiCMCin , Tin, Pin);
                //QhCMC[j+k*(etamax+1)] = chemistry.HCMC(QiCMCin , Tin, rhoCMC[ j+k*(etamax+1)]); //karam, ??? 
        }
}
